Precise-571JP released

5.X系に関する開発話題です

モデレータ: 暇人, YoN, nyu

precise-5.7.1-retro-s-53

投稿記事by シノバー » 13/12/13(金) 21:45

precise-5.7.1-retro-s-53 をアップしなおしました。タイムスタンプ 13-Dec-2013 22:34
75107e2f4b168a95976d49b85cab7507 precise-5.7.1-retro-s-53.iso
http://shino.pos.to/party/bridge.cgi?puppy/precise/JP/5.7JP/
ドキュメント: http://shino.pos.to/party/bridge.cgi?puppy/precise/JP/5.7JP/release-precise-571JP.htm

S52からの変更点:
0woof_fix-20131213
/usr/sbin/dotpup1 「パピーをインストール」でインストーラーを単一メニューにまとめた
/usr/sbin/puppyinstaller ユニバーサルインストーラの修正: USBフラッシュへのインストールで ext4 へのFrugaインストール。起動可能なMBRのチェックを厳しくした。

jwm-fix-571JP-1
タスクトレイ変更(ygnus_odile)
(以下のメニューは修正PETには入っていない)
leafpad を「その他」からメインメニュー>「文書」に復活。Puddを「ユーティリティ」に復活。Grub4Dosの設定が「セットアップ」と「システム」の2箇所にあったが、「システム」1箇所に集約。

rox_filer-MIME-additional-20131213
テキストファイルをクリックしたときに defaulttextviewer(Leafpad)が立ち上がるようにした。右クリックで「テキストとして開く」でも同じように defaulttextviewer(Leafpad)が立ち上がる。
右クリックオプションの大幅変更、追加。

日本語訳
dotpup.mo, puppy-desktop.mo, puppyinstaller.mo, resizepfile.sh.mo
puppy-desktop.mo メインメニューの「その他」を「その他のアプリ」とした。
puppyinstaller.mo 日本語訳とともに日本語版独自の注記を加えた。

パーミッション
.mo, .png .xpm について、mkdist内にスクリプトを置いて 644にセット。
コード: 全て選択
  #fix permission
  for D in /usr/share /usr/local /root; do
    for EXT in mo png xpm; do
      find "$SRCDIR$D" -type f -name *.$EXT -not -perm 644 | xargs chmod 644
    done
  done

gofficeのほうも同様の作業で修正。
最後に編集したユーザー シノバー [ 13/12/14(土) 14:31 ], 累計 2 回
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

メニューのアイコン

投稿記事by シノバー » 13/12/13(金) 23:00

s53で、メニューのアイコンを日本語版のマスコットキャラ、犬張子にしたつもりが、本家版の子犬に変わってしまうことがあります。
次の手順で修正してください。
1. /root/.jwamrc-tray.nls の1行目の mini-dog を mini-hako-dog に書き換える。
コード: 全て選択
     <TrayButton label="$(gettext 'Menu')" icon="mini-hako-dog.xpm">root:3</TrayButton>

2. メインメニュー>シャットダウン>デスクトップの修復
3. さらに メインメニュー>シャットダウン>JWMのリスタート

今日はすでに何度も .iso ファイルを差し替えたので、.iso のこれ以上の変更は止めておきます。次回リリース時に修正しておきます。
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

Re: precise-5.7.1-retro-s-53

投稿記事by Toku » 13/12/14(土) 00:05

デスクトップの修復もデスクトップとシャットダウンでダブってます

それとWindows.XPからの乗り換え組を考えるのであれば550JPと同様にpetもしくはsfsのロードでchromeが動くようにした方がいいとおもいます

理由はflashplayer。 linuxの11.2では対応してなく11.4以上のflashplayerを要求される所もあるのでChromeが使えれば簡単に対応できます。
Toku
 
記事: 158
登録日時: 10/06/24(木) 14:22

Re: precise-5.7.1-retro-s-53

投稿記事by cygnus_odile » 13/12/14(土) 07:26

さっそく試用しています。しばらく使ってみて気になるところは特にありませんが、
デスクトップのインストールアイコンに付された「インストール」の文字が、隣の「マウント」とかの文字に重なってしまってるでちょっと見にくい位でしょうか。「インストール」みたいな半角文字にするか、「インストール」みたいに全角半角文字を混在してもよいかも。
 
Toku さんが書きました:それとWindows.XPからの乗り換え組を考えるのであれば550JPと同様にpetもしくはsfsのロードでchromeが動くようにした方がいいとおもいます

新しめの、Google-Chrome や Chromium ブラウザを動かすには、Ubuntu のセキュリティアップデートリポジトリにある、
security.ubuntu.com/ubuntu/pool/main/n/nss/ サブディレクトリから以下の二つをダウンロードして導入する必要があるようです。

libnss3_3.15.3-0ubuntu0.12.04.1_i386.deb 1287552 Byte (1.2 MByte)
 
libnspr4_4.9.5-0ubuntu0.12.04.1_i386.deb 143140 Byte (139.8 kByte)

 本体sfsサイズが 1.3MB 程度太ってしまうのが気になります(現状ですと、せっかく 実装メモリ192MB の古いノートPCでもfrugal install で動いたという報告がありますのでね。)
内蔵の Opera 12.16 で、google-chrome から抜き取った、PepperFlash プラグインを使う裏技でもあればよいのですが。

 ちなみに、Google-Chrome は、OskarTalk 氏提供の、

  google-chrome-31.0.1650.57.sfs  From OscarTalks's Yandex Disk - puppy

で、確認しました。これは、550JP でも、上記のライブラリのアップデートが必要でした。( libnss3.so のバージョンが古いといって怒られます)
 

【 追 伸 】素の状態ですと、Chromium-20-Lucid.sfs でも同様に、

コード: 全て選択
# chromium
/usr/lib/chrome-linux/chrome: error while loading shared libraries: libnss3.so: cannot open shared object file: No such file or directory
#

とか言って、起動せずでした。 Chromium や Google-Chrome, SRWare Iron など使う人には、
 libnss3.so が 必須なんですね。
571日本語版用として、それらのライブラリを含めたアプリケーションパッケージ(pet, sfs)を用意すればよいのかしら。
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

libnss, libabiword

投稿記事by シノバー » 13/12/14(土) 14:18

Toku さんが書きました:それとWindows.XPからの乗り換え組を考えるのであれば550JPと同様にpetもしくはsfsのロードでchromeが動くようにした方がいいとおもいます

cygnus_odile さんが書きました:新しめの、Google-Chrome や Chromium ブラウザを動かすには、Ubuntu のセキュリティアップデートリポジトリにある、
security.ubuntu.com/ubuntu/pool/main/n/nss/ サブディレクトリから以下の二つをダウンロードして導入する必要があるようです。
libnss3_3.15.3-0ubuntu0.12.04.1_i386.deb 1287552 Byte (1.2 MByte)
libnspr4_4.9.5-0ubuntu0.12.04.1_i386.deb 143140 Byte (139.8 kByte)

 本体sfsサイズが 1.3MB 程度太ってしまうのが気になります

代わりに opera_flash_lib-2.19-precise が外せるので、大きな増加はありません。
という議論をしているときに、いまさらですが...
/usr/lib/libabiword-2.9.so 7MB が本体SFSの中に(goffice SFSと重複)残っていることを発見 :!:
これを除くとSFSおよびisoで約1MB縮小します。
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

getflash.mo

投稿記事by cygnus_odile » 13/12/14(土) 22:14

ちょっと 脱字か?
GetFlashPlayer ver 1.4 ですが、
ダウンロード完了後に、表示されるメッセージ さんが書きました:/usr/lib/mozilla/plugins/libflashplaye に
Adobe Flash Player はダウンロードされています。
ブラウザを終了・再起動して有効にしてください。

となっていましたので、

 誤:libflashplaye
 正:libflashplayer.so

のように、修正してみました。

getflash-1.4-nls-ja.zip
コード: 全て選択
# unzip -l getflash-1.4-nls-ja.zip
Archive:  getflash-1.4-nls-ja.zip
  Length     Date   Time    Name
 --------    ----   ----    ----
     2614  12-14-13 22:02   getflash.mo
     2633  12-14-13 22:01   getflash.po
 --------                   -------
     5247                   2 files



なお、/usr/sbin/getflash の該当部分は、
コード: 全て選択
        TEXT=$(gettext "The Adobe Flash Player has been downloaded to\n/usr/lib/mozilla/plugins/libflashplayer\nYou will
need to exit from your web browser and restart it for the player to load")

となっていました。
 
パーミッションが与えられていないため、記事の添付ファイルを見ることができません
最後に編集したユーザー cygnus_odile [ 13/12/14(土) 22:22 ], 累計 1 回
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

Re: libnss, libabiword

投稿記事by cygnus_odile » 13/12/14(土) 22:21

シノバー さんが書きました:
cygnus_odile さんが書きました: 本体sfsサイズが 1.3MB 程度太ってしまうのが気になります

代わりに opera_flash_lib-2.19-precise が外せるので、大きな増加はありません。
・・・(中略)・・・
・・・SFSおよびisoで約1MB縮小します。


 朗報ですね。私は、あまり Chromium/google-chrome 系は使ってはいないのですが、
サイズを抑えたまま、一般に人気の最新のブラウザがすんなり使えるようになると、皆さんの利便性がグッと上がると思います。(低スペックPCにも、高スペックPCにも嬉しいディストロになる)
 
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

remasterpup2x.moの誤訳

投稿記事by 486HA » 13/12/14(土) 22:42

 些細なことですが、
msgid "${SFSPATH} found." が
msgstr "${SFSPATH} がみつかりません。"になっています。
CORE-i7-6700HQ uEFI ram:8GB
Full: Quirky Xerus-64 8.2
save2dir: Tahr 6.0.6(32/64), Slacko 6.9.9(32/64),Xenialpup 7.0.8.1
Slimjet 15.0.3.0(32/64)
486HA
 
記事: 1142
登録日時: 11/03/06(日) 14:31

google-chrome

投稿記事by シノバー » 13/12/14(土) 23:32

SFSでインストールしても、自動更新されると pupsaveを圧迫するというのが問題なんだなあ...。
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

壁紙・・・

投稿記事by cygnus_odile » 13/12/14(土) 23:34

壁紙なんとかしませんか?
どうも今のは趣味が悪いので(本家版も)。

たとえば、431JP2012 の 箱犬(張り子の犬?) を流用してもよいと思います。

画像
 
 
パーミッションが与えられていないため、記事の添付ファイルを見ることができません
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

Re: 壁紙・・・

投稿記事by 117woofer » 13/12/15(日) 00:25

開発・翻訳などに携わっている皆様、おつかれさまです。
私も現在使われているデフォルトの壁紙はイマイチかと思います。
ジェバJQ8さんが作製された壁紙は良いですね。
117woofer
 
記事: 24
登録日時: 13/02/16(土) 22:49

今後のスケジュール

投稿記事by シノバー » 13/12/15(日) 00:37

ピッチを上げて、
16日(月)にs54。
20日(金)にRC。
クリスマスに正式リリースは厳しい?
The bar master, Shino's Bar
http://paper.cup.com/
アバター
シノバー
 
記事: 3080
登録日時: 09/03/21(土) 00:05

Re: 壁紙・・・

投稿記事by cygnus_odile » 13/12/15(日) 09:55

117woofer さんが書きました:開発・翻訳などに携わっている皆様、おつかれさまです。
私も現在使われているデフォルトの壁紙はイマイチかと思います。
ジェバJQ8さんが作製された壁紙は良いですね。


ジェバJQ8さんの、
 sakura-p1
に一票 !
 
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

Re: 今後のスケジュール

投稿記事by cygnus_odile » 13/12/15(日) 10:01

シノバー さんが書きました:ピッチを上げて、
16日(月)にs54。
20日(金)にRC。
クリスマスに正式リリースは厳しい?


 クリスマスプレゼント に間に合わなくても、年初のお年玉でもよいかと。・・・ クリスマスに、RC2 位でも。
  (これから年末で、平日にチェックをいれるのは厳しいです。)
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

Re: google-chrome

投稿記事by cygnus_odile » 13/12/15(日) 10:46

シノバー さんが書きました:SFSでインストールしても、自動更新されると pupsaveを圧迫するというのが問題なんだなあ...。


 こちら: viewtopic.php?f=13&t=2442 に、先ほど投稿しましたように、 オープンソース版の Chromium ブラウザでも Google-Chrome が内蔵する 新しい、 Flash Player を利用できますので、 一応 最新のChromium ブラウザが動作するようにお願いします。

  Chromium ブラウザ は、 勝手に更新してくれませんので。(逆に自前でアップデートをしないといけないけど)
  私が試した環境(retro-s-53)では、 chromium-30 は、たまにテキストボックスで、 scime-anthy が沈黙するので、
   chromium-25 ( chromium-25.0.1323.1-i686-1sl.sfs Peebee 氏提供 )を試用中です。
 
cygnus_odile
 
記事: 665
登録日時: 09/08/16(日) 14:30

1つ前へ次へ

Return to 5.X系

オンラインデータ

このフォーラムを閲覧中のユーザー: なし & ゲスト[1人]